<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:32 CEST 2019 -->
<title>FirebirdParameterMetaData (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FirebirdParameterMetaData (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FirebirdDriver.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FirebirdParameterMetaData.html" target="_top">Frames</a></li>
<li><a href="FirebirdParameterMetaData.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jdbc</div>
<h2 title="Interface FirebirdParameterMetaData" class="title">Interface FirebirdParameterMetaData</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true" title="class or interface in java.sql">ParameterMetaData</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true" title="class or interface in java.sql">Wrapper</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../org/firebirdsql/jdbc/FBParameterMetaData.html" title="class in org.firebirdsql.jdbc">FBParameterMetaData</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">FirebirdParameterMetaData</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true" title="class or interface in java.sql">ParameterMetaData</a></pre>
<div class="block">Firebird extension to the <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true" title="class or interface in java.sql"><code>ParameterMetaData</code></a> interface.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.sql.ParameterMetaData">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true" title="class or interface in java.sql">ParameterMetaData</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#parameterModeIn" title="class or interface in java.sql">parameterModeIn</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#parameterModeInOut" title="class or interface in java.sql">parameterModeInOut</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#parameterModeOut" title="class or interface in java.sql">parameterModeOut</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#parameterModeUnknown" title="class or interface in java.sql">parameterModeUnknown</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#parameterNoNulls" title="class or interface in java.sql">parameterNoNulls</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#parameterNullable" title="class or interface in java.sql">parameterNullable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#parameterNullableUnknown" title="class or interface in java.sql">parameterNullableUnknown</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.sql.ParameterMetaData">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true" title="class or interface in java.sql">ParameterMetaData</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#getParameterClassName-int-" title="class or interface in java.sql">getParameterClassName</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#getParameterCount--" title="class or interface in java.sql">getParameterCount</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#getParameterMode-int-" title="class or interface in java.sql">getParameterMode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#getParameterType-int-" title="class or interface in java.sql">getParameterType</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#getParameterTypeName-int-" title="class or interface in java.sql">getParameterTypeName</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#getPrecision-int-" title="class or interface in java.sql">getPrecision</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#getScale-int-" title="class or interface in java.sql">getScale</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#isNullable-int-" title="class or interface in java.sql">isNullable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/ParameterMetaData.html?is-external=true#isSigned-int-" title="class or interface in java.sql">isSigned</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.sql.Wrapper">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true" title="class or interface in java.sql">Wrapper</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true#isWrapperFor-java.lang.Class-" title="class or interface in java.sql">isWrapperFor</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true#unwrap-java.lang.Class-" title="class or interface in java.sql">unwrap</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FirebirdDriver.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FirebirdPreparedStatement.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FirebirdParameterMetaData.html" target="_top">Frames</a></li>
<li><a href="FirebirdParameterMetaData.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
